function salient_power_flow_1gen_1motor(Z,deg,U,t);
global P Q degit Uit it Pstatic Qstatic;
t=t+1;
it=t;
n=3;
 %____________________________________________Gauss-Seidel Method
 
 %________FIND THE VALUE OF deg(3)1 Using
 %Power flow equation P3=1
 %initial guess for deg(2)=0
 %initial guess for U(2)=1
   for i=3;
        for dd=-30 : 0.001 : 80;
            deg(t,3)=dd;
        for j=1:1:n;
               Zsys=Z(i,j,3)^2+Z(i,j,2)*Z(i,j,1);  %Z^2
            if Zsys==0                             %avoid division by zero
                p1=0;p2=0;p3=0;p4=0;
            else
               p2=U(t,i)*U(t,i)*(Z(i,j,2)-Z(i,j,1))*sind(2*(deg(t,j)-deg(t,i)))/(2*Zsys);  
               p4=U(t,i)*U(t,i)* Z(i,j,3)/(Zsys);
               p1=U(t,i)*U(t,j)*(Z(i,j,1))*sind(deg(t,j)-deg(t,i))/Zsys; 
               p3=U(t,i)*U(t,j)*(Z(i,j,3))*cosd(deg(t,j)-deg(t,i))/Zsys;
            end
               P(i,j)=p1+p2+p3-p4;
        end
        P3=P(3,1)+P(3,2)+P(3,3);
    if (abs(P3+1))< 0.01;
          break
    end
    end
    end
 %________FIND THE VALUE OF deg(2)1 Using
 %Power flow equation P2=0
 %above calculated deg(3)
 %initial guess for U(2)=1
 for i=2;
        for ddd=-20 : 0.001 : 80;
            deg(t,2)=ddd;
        for j=1:1:n;
               Zsys=Z(i,j,3)^2+Z(i,j,2)*Z(i,j,1);  %Z^2
            if Zsys==0                             %avoid division by zero
                p1=0;p2=0;p3=0;p4=0;
            else
               p2=U(t,i)*U(t,i)*(Z(i,j,2)-Z(i,j,1))*sind(2*(deg(t,j)-deg(t,i)))/(2*Zsys);  
               p4=U(t,i)*U(t,i)* Z(i,j,3)/(Zsys);     
               p1=U(t,i)*U(t,j)*(Z(i,j,1))*sind(deg(t,j)-deg(t,i))/Zsys; 
               p3=U(t,i)*U(t,j)*(Z(i,j,3))*cosd(deg(t,j)-deg(t,i))/Zsys;
            end
               P(i,j)=p1+p2+p3-p4;
        end
        P2=P(2,1)+P(2,2)+P(2,3);
    if (abs(P2+Pstatic))< 0.01;
          break
    end
    end
 end
 %________FIND THE VALUE OF U(2)1 Using
 %Power flow equation Q2=0
 %above calculated deg(2)
 %above calculated deg(3)
 for i=2;
        for UU=0.7 : 0.0003 : 1.2;
        U(t,i)=UU;
        for j=1:1:n;
               Zsys=Z(i,j,3)^2+Z(i,j,2)*Z(i,j,1);  %Z^2
            if Zsys==0                             %avoid division by zero
                Q22=0;Q33=0;Q44=0;
            else
               Q22=  (U(t,i)*U(t,j)*Z(i,j,1)*cosd(deg(t,j)-deg(t,i)))/ Zsys ;
               Q33=  (U(t,i)*(U(t,i))/(Zsys)) * (Z(i,j,2)*(sind(deg(t,j)-deg(t,i)))^2 + Z(i,j,1)*(cosd(deg(t,j)-deg(t,i)))^2); 
               Q44=  (U(t,i)*U(t,j)*(Z(i,j,3))*sind(deg(t,j)-deg(t,i))/(Zsys));
            end
             Q(i,j)=Q22-Q33-Q44;
        end
        Q2=Q(2,1)+Q(2,2)+Q(2,3);
    if (abs(Q2+Qstatic))< 0.01;
          break
    end
    end
 end
degit=deg(t,:);
Uit=U(t,:);

    
end
    